#! @BASH@
#
echo 1..2 # Number of tests to be executed.
#
. ./cdoTestFunctions.test
#
test -n "$CDO"      || CDO="@abs_top_builddir@/src/cdo $CDO_DEBUG"
test -n "$DATAPATH" || DATAPATH="@abs_top_srcdir@/test/data/"
#
IFILE=$DATAPATH/mpiom_tho_sao.srv
IFILE2=$DATAPATH/adisit_ref
#
FORMAT="-f srv -b 32"
OPERATORS="adisit adipot"
#
NTEST=1
#
for OPERATOR in $OPERATORS; do
    if [ -z "$1" ] || [ $NTEST == $1 ]; then
        if [ "$OPERATOR" = adipot ] ; then IFILE=$IFILE2; fi
        RFILE=$DATAPATH/${OPERATOR}_ref

        OFILE=${OPERATOR}_res
        CDOTEST="$OPERATOR"
        CDOCOMMAND="$CDO  $FORMAT ${OPERATOR} $IFILE $OFILE"
        TESTCOMMAND="$CDO  diff $OFILE $RFILE"

        runTest

        rm -f $OFILE
        (( NTEST+=1 ))
    fi
done
#
exit 0
